<?php

namespace Modules\Additional\Specifique\Client174\Modules\Panier\Service;

use Helpers\ChampsSupplementaire\ChampSupp;

class UpdateSISpecifique
{
    public static function updateSI(\PDO $pdo, string $centre = ''):string
    {
        $CSSI = ChampSupp::getCSValueSpecific([
            'COD_TAB'   => 'CENTRE',
            'COD_ENR'   => $centre,
            'typedico'  => 'PARNCS0174',
            'codedico'  => 'NCS_CENTRE_CODE_SI'
        ], $pdo);

        if ($CSSI) {
            return $CSSI['VALEUR'];
        }

        return '';
    }
}
